Subject: Re: [PATCH] gitweb: more support for PATH_INFO based URLs

From: Jakub Narebski <[email-masked]>
Date: Tue, 19 Sep 2006 11:49:53 +0200

Martin Waitz wrote:

> On Sun, Sep 17, 2006 at 04:20:23PM +0200, Jakub Narebski wrote:
>> matled (Matthias Lederhofer) on #git proposed to use ':' as a separator
>> between branch and filename (as branch doesn't need to be flat, 
>> e.g. "jc/diff" like branch name), because valid branch name cannot contain
>> ':' (and this limit is only for branch name).
> 
> you are right, my patch doesn't work with hierarchical branch names.
> However using ":" alone does not work eighter.
> My main motivation for this patch was to be able to export .html files
> and to have working links between them.
> However a <a href="main.html"> link inside "branch:index.html" would
> try to get "main.html" and not "branch:main.html".
> 
> Perhaps use ":/" as separator?

That would be _very_ easy to add. Just strip leading "/" from pathname,
and we can have

        path/to/project.git/hierarchical/branch:/path/to/filename

By the way, besides hierarchical branches, we might need this if
the repository (project) has the branch (head) and tag with the same name,
and we want to select one or the other.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git